Loading...
Searching...
No Matches
version.h File Reference
`#include "platform.h"`
`#include "macros.h"`

Go to the source code of this file.

## Namespaces

namespace | etl

## Macros

#define | ETL_VERSION_MAJOR 20
#define | ETL_VERSION_MINOR 48
#define | ETL_VERSION_PATCH 1
#define | ETL_VERSION
#define | ETL_VERSION_W
#define | ETL_VERSION_U8
#define | ETL_VERSION_U16
#define | ETL_VERSION_U32
#define | ETL_VERSION_VALUE ((ETL_VERSION_MAJOR * 10000) + (ETL_VERSION_MINOR * 100) + ETL_VERSION_PATCH)

## Macro Definition Documentation

## ETL_VERSION

#define ETL_VERSION

Value:
ETL_STRING(ETL_VERSION_MAJOR) \
"." ETL_STRING(ETL_VERSION_MINOR) "." ETL_STRING(ETL_VERSION_PATCH)

## ETL_VERSION_U16

#define ETL_VERSION_U16

Value:
ETL_U16_STRING(ETL_VERSION_MAJOR) \
u"." ETL_U16_STRING(ETL_VERSION_MINOR) u"." ETL_U16_STRING(ETL_VERSION_PATCH)

## ETL_VERSION_U32

#define ETL_VERSION_U32

Value:
ETL_U32_STRING(ETL_VERSION_MAJOR) \
U"." ETL_U32_STRING(ETL_VERSION_MINOR) U"." ETL_U32_STRING(ETL_VERSION_PATCH)

## ETL_VERSION_U8

#define ETL_VERSION_U8

Value:
ETL_U8_STRING(ETL_VERSION_MAJOR) \
u8"." ETL_U8_STRING(ETL_VERSION_MINOR) u8"." ETL_U8_STRING(ETL_VERSION_PATCH)

## ETL_VERSION_W

#define ETL_VERSION_W

Value:
ETL_WIDE_STRING(ETL_VERSION_MAJOR) \
L"." ETL_WIDE_STRING(ETL_VERSION_MINOR) L"." ETL_WIDE_STRING(ETL_VERSION_PATCH)